Draft ShapeString/es: Difference between revisions

From FreeCAD Documentation
(Created page with "{{GuiCommand/es|Name=Draft ShapeString|Name/es=Draft ShapeString/es|Workbenches=Draft, Arch|MenuLocation=Draft -> ShapeString|Shortcut=S...")
(Updating to match new version of source page)
(40 intermediate revisions by 4 users not shown)
Line 1: Line 1:
<languages/>
{{Docnav
|[[Draft_Point|Point]]
|[[Draft_Facebinder|Facebinder]]
|[[Draft_Module|Draft]]
|IconL=Draft_Point.svg
|IconC=Workbench_Draft.svg
|IconR=Draft_Facebinder.svg
}}


<div class="mw-translate-fuzzy">
{{GuiCommand/es|Name=Draft ShapeString|Name/es=Draft ShapeString/es|Workbenches=[[Draft Module/es|Draft]], [[Arch Module/es|Arch]]|MenuLocation=Draft -> ShapeString|Shortcut=S S}}
{{GuiCommand/es|Name=Bosquejar forma de cadena|Name/es=Draft ShapeString/es|Workbenches=[[Draft Module/es|Borrador]], [[Arch Module/es|Arquitectura]]|MenuLocation=Borrador -> Bosquejar forma de cadena|Shortcut=S S|SeeAlso=[[Draft Text/es|Draft Text]], [[Part Extrude/es|Part Extrude]]}}
</div>


==Description==
==Descripción==


<div class="mw-translate-fuzzy">
The ShapeString tool inserts a compound shape representing a text string at a given point in the current document. Text height, tracking and font can be specified.
La herramienta forma de cadena, inserta una forma compuesta representando una cadena de texto a un punto dado en el actual documento. Altura, trayectoria y fuente pueden ser definidas.
</div>


'''Alternatively''': To insert a simpler text element without a closed shape use [[Image:Draft_Text.svg|24px]] [[Draft Text|Draft Text]]. To create a text label with a lead and an arrow use [[Image:Draft_Label.svg|24px]] [[Draft Label|Draft Label]].

[[Image:Draft_ShapeString_Example400.png]]
<div class="mw-translate-fuzzy">
[[Image:Draft_ShapeString_Example400.png]]
[[Image:Draft_ShapeString_Example400.png]]
</div>


<div class="mw-translate-fuzzy">
==How to use==
==Como utilizar==
</div>


<div class="mw-translate-fuzzy">
# Press the {{KEY|[[Image:Draft_ShapeString16.png]] [[Draft ShapeString]]}} button, or press {{KEY|S}} then {{KEY|S}} keys
# Presiona el boton {{KEY|[[Image:Draft_ShapeString16.png]] [[Draft_ShapeString|Draft Shape from text ...]]}} o presiona la tecla {{KEY|S}} luego {{KEY|S}}
# Click a point on the 3D view, or type a [[Draft_Coordinates|coordinate]]
# Cliquea en un punto sobre la vista 3D o escribe una coordenada [[Draft_Coordinates|coordenada]]
# Enter the desired text, press {{KEY|ENTER}}
# Enter the desired size, press {{KEY|ENTER}}
# Ingresa el texto deseado y presiona {{KEY|ENTER}}
# Enter the desired tracking, press {{KEY|ENTER}}
# Ingresa el tamaño deseado y presiona {{KEY|ENTER}}
# Ingresa la trayectoria deseada y presiona {{KEY|ENTER}}
# Press {{KEY|ENTER}} to accept the displayed font file, or,
# Press {{KEY|...}} to select a font file.
# Presiona {{KEY|ENTER}} para aceptar el archivo fuente mostrado ó
# Presiona {{KEY|...}} para seleccionar el archivo fuente.
</div>
[[Image:SSFontSelect.png]]


If your Draft interface mode is set to TaskView:
==Options==
# Press the {{Button|[[Image:Draft_ShapeString.svg|16px]] [[Draft_ShapeString|Draft ShapeString]]}} button, or press {{KEY|S}} then {{KEY|S}} keys.
# A dialog will appear where you can specify your parameters.
# Press {{KEY|OK}} to create the ShapeString.


* To enter coordinates manually, simply enter the numbers, then press {{KEY|ENTER}} between each X, Y and Z component.
* Pressing {{KEY|ESC}} will cancel the operation.
* You can set a default font file in Draft/Prefences.


*The text, size, tracking, and font can be changed after creation, by modifying the values in the Property Editor.
==Properties==
*You will want to set the default font file in [[Draft Preferences|Draft Preferences]], in the {{Button|Texts and dimensions}} tab. This will prefill the font file box in the dialog.
*Supported fonts include TrueType (.ttf), OpenType (.otf), and Type 1 (.pfb).


===Limitations===
* {{PropertyData|Position}}: The base point of the compound shape
* Very small text heights may result in deformed character shapes due to loss of detail in scaling.
* {{PropertyData|String}}: The contents of the text string
* The current version is limited to left-to-right writing.
* {{PropertyData|Size}}: The height of the letters in FC units
* To create text arranged in a circular fashion use the {{Button|[[File:FCCircularTextButtom.png|24px]] [[Macro_FCCircularText|Circular Text]]}} macro.
* {{PropertyData|Tracking}}: The inter-character spacing in FC units
* {{PropertyData|Font File}}: The font definition file used to draw the string


==Scripting==
==Opciones==


<div class="mw-translate-fuzzy">
The ShapeString tool can by used in [[macros]] and from the python console by using the following function:
*Para ingresar coordenadas manualmente, simplemente ingresa los numeros, luego {{KEY|ENTER}} entre cada componente X,Y y Z.
* Presionando {{KEY|ESC}} cancelará la operación.
* Puedes ajustar un archivo fuente predeterminado en Draft/Preferencias.
</div>


==Propiedades==

<div class="mw-translate-fuzzy">
* {{PropertyData|Position}}: El punto base del compuesto
* {{PropertyData|String}}: Los contenidos del texto
* {{PropertyData|Size}}: La altura de las letras en unidades de FreeCAD
* {{PropertyData|Tracking}}: El espacio adicional entre los caracteres en unidades de FreeCAD
* {{PropertyData|Font File}}: El archivo fuente utilizado para dibujar el texto
</div>

<div class="mw-translate-fuzzy">
==Programación==
</div>

<div class="mw-translate-fuzzy">
Esta herramienta se puede utilizar en [[macros/es|macros]] y desde la consola de Python mediante las siguientes funciones:
</div>
{{Code|code=
{{Code|code=
makeShapeString(String,FontFile,[Size],[Tracking])
ShapeString = makeShapeString(String, FontFile, Size=100, Tracking=0)
}}
}}
* Turns a text string into a Compound Shape using a specified font.


<div class="mw-translate-fuzzy">
Example:
* Convierte un texto en un compuesto usando la fuente especificada.
</div>

The placement of the ShapeString can be changed by overwriting its {{incode|Placement}} attribute, or by individually overwriting its {{incode|Placement.Base}} and {{incode|Placement.Rotation}} attributes.

Ejemplo:
{{Code|code=
{{Code|code=
import FreeCAD,Draft
import FreeCAD as App
import Draft
Draft.makeShapeString("This is a sample text",

"/usr/share/fonts/truetype/msttcorefonts/Arial.ttf",
doc = App.newDocument()
200.0,10)

font1 = "/usr/share/fonts/truetype/msttcorefonts/Arial.ttf"
font2 = "/usr/share/fonts/truetype/dejavu/DejaVuSerif.ttf"
font3 = "/usr/share/fonts/truetype/freefont/FreeSerifItalic.ttf"

S1 = Draft.makeShapeString("This is a sample text", font1, 200)

S2 = Draft.makeShapeString("Inclined text", font2, 200, 10)

ZAxis = App.Vector(0, 0, 1)
p2 = App.Vector(-1000, 500, 0)
place2 = App.Placement(p2, App.Rotation(ZAxis, 45))
S2.Placement = place2

S3 = Draft.makeShapeString("Upside-down text", font3, 200, 10)
S3.Placement.Base = App.Vector(0, -1000, 0)
S3.Placement.Rotation = App.Rotation(ZAxis, 180)

doc.recompute()
}}
}}
==Selecting A Font==
[[Image:SSFontSelect.png]]


==Tutorials==
ShapeString uses the internal geometry of a font to make FreeCAD shapes. To do this it must read the actual font file (*.tff, etc). If the Font Selection box is empty, you must type the full path to the font file or use {{KEY|...}} to select a font file.
==Limitations==
* This tool is not yet generally available. It will be included in a future version. (post v0.13)
* TrueType(*.ttf), OpenType(*.otf) and Type1(*.pfb) font files are supported.
* Very small text heights may result in deformed character glyphs due to loss of detail in scaling.
* The current version is limited to left-to-right layouts on a horizontal baseline.


* [[Draft_ShapeString_tutorial|Draft ShapeString tutorial]]: extrude a ShapeString, position it in 3D space, and create an engraving in another body.
* [https://forum.freecadweb.org/viewtopic.php?f=3&t=36623 How to use ShapeStrings in PartDesign]


==Notes==
<languages/>

* Many fonts will generate problematic geometric. This is because font contours are allowed to overlap, have small gaps and have varying directions within a glyph. These conditions are considered errors in the Wires used to define Faces. Options are to correct the font definition with a tool like FontForge or to use another font.

{{Docnav
|[[Draft_Point|Point]]
|[[Draft_Facebinder|Facebinder]]
|[[Draft_Module|Draft]]
|IconL=Draft_Point.svg
|IconC=Workbench_Draft.svg
|IconR=Draft_Facebinder.svg
}}

{{Draft Tools navi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}
{{clear}}

Revision as of 20:10, 24 May 2020

Draft ShapeString/es

Ubicación en el Menú
Borrador -> Bosquejar forma de cadena
Entornos de trabajo
Borrador, Arquitectura
Atajo de teclado por defecto
S S
Introducido en versión
-
Ver también
Draft Text, Part Extrude

Descripción

La herramienta forma de cadena, inserta una forma compuesta representando una cadena de texto a un punto dado en el actual documento. Altura, trayectoria y fuente pueden ser definidas.

Alternatively: To insert a simpler text element without a closed shape use Draft Text. To create a text label with a lead and an arrow use Draft Label.

Como utilizar

  1. Presiona el boton Draft Shape from text ... o presiona la tecla S luego S
  2. Cliquea en un punto sobre la vista 3D o escribe una coordenada coordenada
  3. Ingresa el texto deseado y presiona ENTER
  4. Ingresa el tamaño deseado y presiona ENTER
  5. Ingresa la trayectoria deseada y presiona ENTER
  6. Presiona ENTER para aceptar el archivo fuente mostrado ó
  7. Presiona ... para seleccionar el archivo fuente.

If your Draft interface mode is set to TaskView:

  1. Press the Draft ShapeString button, or press S then S keys.
  2. A dialog will appear where you can specify your parameters.
  3. Press OK to create the ShapeString.


  • The text, size, tracking, and font can be changed after creation, by modifying the values in the Property Editor.
  • You will want to set the default font file in Draft Preferences, in the Texts and dimensions tab. This will prefill the font file box in the dialog.
  • Supported fonts include TrueType (.ttf), OpenType (.otf), and Type 1 (.pfb).

Limitations

  • Very small text heights may result in deformed character shapes due to loss of detail in scaling.
  • The current version is limited to left-to-right writing.
  • To create text arranged in a circular fashion use the Circular Text macro.

Opciones

  • Para ingresar coordenadas manualmente, simplemente ingresa los numeros, luego ENTER entre cada componente X,Y y Z.
  • Presionando ESC cancelará la operación.
  • Puedes ajustar un archivo fuente predeterminado en Draft/Preferencias.

Propiedades

  • DatosPosition: El punto base del compuesto
  • DatosString: Los contenidos del texto
  • DatosSize: La altura de las letras en unidades de FreeCAD
  • DatosTracking: El espacio adicional entre los caracteres en unidades de FreeCAD
  • DatosFont File: El archivo fuente utilizado para dibujar el texto

Programación

Esta herramienta se puede utilizar en macros y desde la consola de Python mediante las siguientes funciones:

ShapeString = makeShapeString(String, FontFile, Size=100, Tracking=0)
  • Convierte un texto en un compuesto usando la fuente especificada.

The placement of the ShapeString can be changed by overwriting its Placement attribute, or by individually overwriting its Placement.Base and Placement.Rotation attributes.

Ejemplo:

import FreeCAD as App
import Draft

doc = App.newDocument()

font1 = "/usr/share/fonts/truetype/msttcorefonts/Arial.ttf"
font2 = "/usr/share/fonts/truetype/dejavu/DejaVuSerif.ttf"
font3 = "/usr/share/fonts/truetype/freefont/FreeSerifItalic.ttf"

S1 = Draft.makeShapeString("This is a sample text", font1, 200)

S2 = Draft.makeShapeString("Inclined text", font2, 200, 10)

ZAxis = App.Vector(0, 0, 1)
p2 = App.Vector(-1000, 500, 0)
place2 = App.Placement(p2, App.Rotation(ZAxis, 45))
S2.Placement = place2

S3 = Draft.makeShapeString("Upside-down text", font3, 200, 10)
S3.Placement.Base = App.Vector(0, -1000, 0)
S3.Placement.Rotation = App.Rotation(ZAxis, 180)

doc.recompute()

Tutorials

Notes

  • Many fonts will generate problematic geometric. This is because font contours are allowed to overlap, have small gaps and have varying directions within a glyph. These conditions are considered errors in the Wires used to define Faces. Options are to correct the font definition with a tool like FontForge or to use another font.